<?php
/**
 * Defaults for Theme Customizer repeater.
 *
 * @package avantex
 */


/** SLIDER CUSTOMIZER REPEATER DEFAULT VALUES */
define(
	'SLIDER_DEFAULTS',
	wp_json_encode(
		array(
			/*Repeater's first item*/
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/slider/slide2.jpg',
				'title'     => 'Changes overtime',
				'subtitle'  => 'Ideas into reality',
				'text'      => 'From mere thoughts to tangible achievements',
				'btntitle'  => 'Lets Bring it',
				'link'      => '#',
				'id'        => 'cr_slider_slide_2',
			), // every item in default string should have an unique id, it helps for translation.
			/*Repeater's second item*/
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/slider/slide1.jpg',
				'title'     => 'Service on demand',
				'subtitle'  => 'Noticing Consumer Needs',
				'text'      => 'Improvements based on feedbacks',
				'btntitle'  => 'Be Our Guest',
				'link'      => '#',
				'id'        => 'cr_slider_slide_1',
			),
		)
	)
);
/** SERVICES CUSTOMIZER REPEATER DEFAULT VALUES */
define(
	'SERVICES_DEFAULTS',
	wp_json_encode(
		array(
			/*Repeater's first Service*/
			array(
				'icon_value' => 'fas fa-square-poll-vertical',
				'title'      => 'Marketing &amp; SEO services',
				'subtitle'   => 'Strategies to improve your online presence, increase traffic to your website, and boost your search engine rankings.',
				'btntitle'   => 'Read More',
				'link'       => '#',
				'id'         => 'cr_serv_1',
			), // every Service in default string should have an unique id, it helps for translation.
				/*Repeater's second Service*/
			array(
				'icon_value' => 'fas fa-file-code',
				'title'      => 'Web design &amp; development',
				'subtitle'   => 'Professional design and development services to create a stunning and effective website that meets your business needs.',
				'btntitle'   => 'Read More',
				'link'       => '#',
				'id'         => 'cr_serv_2',
			),
			/*Repeater's Third Service*/
			array(
				'icon_value' => 'fas fa-window-restore',
				'title'      => 'Graphic design &amp; branding',
				'subtitle'   => 'Eye-catching design and branding services to make your business stand out and leave an ever lasting impression.',
				'btntitle'   => 'Read More',
				'link'       => '#',
				'id'         => 'cr_serv_3',
			),
		)
	)
);
/** PORTFOLIO_DEFAULTS CUSTOMIZER REPEATER DEFAULT VALUES */
define(
	'PORTFOLIO_DEFAULTS',
	wp_json_encode(
		array(
			/* Repeater's first portfolio */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/portfolio/project-1.jpg',
				'title'     => 'Financial Services Website',
				'subtitle'  => 'UI & UX Design',
				'link'      => '#',
				'link2'     => '#',
				'id'        => 'cr_portfolio_1',
			), // every portfolio in default string should have an unique id, it helps for translation.
			/* Repeater's second portfolio */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/portfolio/project-2.jpg',
				'title'     => 'E-commerce site Supply Retailer',
				'subtitle'  => 'E-commerce',
				'link'      => '#',
				'link2'     => '#',
				'id'        => 'cr_portfolio_2',
			),
			/* Repeater's Third portfolio */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/portfolio/project-3.jpg',
				'title'     => 'Blog Content Lifestyle Brand',
				'subtitle'  => 'Web Creation',
				'link'      => '#',
				'link2'     => '#',
				'id'        => 'cr_portfolio_3',
			),
		)
	)
);
/** TEAM_DEFAULTS CUSTOMIZER REPEATER DEFAULT VALUES */

define(
	'TEAM_SR_DEFAULTS',
	'[{&quot;icon&quot;:&quot;fa-brands fa-facebook&quot;,&quot;link&quot;:&quot;#&quot;,&quot;id&quot;:&quot;customizer-repeater-social-repeater-6317390b67c40&quot;},{&quot;icon&quot;:&quot;fa-brands fa-twitter&quot;,&quot;link&quot;:&quot;#&quot;,&quot;id&quot;:&quot;customizer-repeater-social-repeater-63173a9132e14&quot;},{&quot;icon&quot;:&quot;fa-brands fa-linkedin-in&quot;,&quot;link&quot;:&quot;#&quot;,&quot;id&quot;:&quot;customizer-repeater-social-repeater-6317422a80a22&quot;},{&quot;icon&quot;:&quot;fa-brands fa-instagram&quot;,&quot;link&quot;:&quot;#&quot;,&quot;id&quot;:&quot;customizer-repeater-social-repeater-6317422a80a22&quot;}]'
);

define(
	'TEAM_DEFAULTS',
	wp_json_encode(
		array(
			/* Repeater's first team */
			array(
				'image_url'       => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/team/team1.jpg',
				'title'           => 'UI Designer',
				'subtitle'        => 'David Wilson',
				'social_repeater' => TEAM_SR_DEFAULTS,
				'id'              => 'cr_team_1',
			), // every team in default string should have an unique id, it helps for translation.
		/* Repeater's second team */
			array(
				'image_url'       => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/team/team2.jpg',
				'title'           => 'Founder & CEO',
				'subtitle'        => 'Jane Smith',
				'social_repeater' => TEAM_SR_DEFAULTS,
				'id'              => 'cr_team_2',
			),
			/* Repeater's Third team */
			array(
				'image_url'       => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/team/team3.jpg',
				'title'           => 'Director',
				'subtitle'        => 'Owen Robert',
				'social_repeater' => TEAM_SR_DEFAULTS,
				'id'              => 'cr_team_3',
			),
			/* Repeater's fourth team */
			array(
				'image_url'       => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/team/team4.jpg',
				'title'           => 'UI Developper',
				'subtitle'        => 'Olivia Travis',
				'social_repeater' => TEAM_SR_DEFAULTS,
				'id'              => 'cr_team_4',
			),
		)
	)
);
/** TESTIMONIAL DEFAULTS FOR CUSTOMIZER REPEATER */
define(
	'TESTIMONIAL_DEFAULTS',
	wp_json_encode(
		array(
			/* Repeater's first Testimonial */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/testimonial/author-1.jpg',
				'title'     => 'Creative & Professional',
				'subtitle'  => 'It is a long established fact that a reader ill be distracted by the readable content of a page when looking at its layout.',
				'btntitle'  => 'Annah Montana',
				'shortcode' => 'Ceo xyz',
				'id'        => 'cr_Testimonial_1',
			), // every Testimonial in default string should have an unique id, it helps for translation.
		/* Repeater's second Testimonial */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/testimonial/author-2.jpg',
				'title'     => 'I highly recommend',
				'subtitle'  => 'It is a long established fact that a reader ill be distracted by the readable content of a page when looking at its layout.',
				'btntitle'  => 'Jenifer Albert',
				'shortcode' => 'Founder abc firm ',
				'id'        => 'cr_Testimonial_2',
			),
			/* Repeater's third Testimonial */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/testimonial/author-2.jpg',
				'title'     => 'Must consult',
				'subtitle'  => 'It is a long established fact that a reader ill be distracted by the readable content of a page when looking at its layout.',
				'btntitle'  => 'Sonya Smith',
				'shortcode' => 'Founder',
				'id'        => 'cr_Testimonial_3',
			),
		)
	)
);
/** FUNFACT_DEFAULTS DEFAULTS FOR CUSTOMIZER REPEATER */
define(
	'FUNFACT_DEFAULTS',
	wp_json_encode(
		array(
			/* Repeater's first Funfact */
			array(
				'icon_value' => 'fas fa-square-poll-vertical',
				'title'      => 'Satisfied Customers',
				'subtitle'   => '965',
				'id'         => 'cr_Funfact_1',
			), // every Funfact in default string should have an unique id, it helps for translation.
		/* Repeater's second Funfact */
			array(
				'icon_value' => 'fa fa-passport',
				'title'      => 'Finish Projects',
				'subtitle'   => '365',
				'id'         => 'cr_Funfact_2',
			),
			/* Repeater's third Funfact */
			array(
				'icon_value' => 'fa fa-file-code',
				'title'      => 'Working Days',
				'subtitle'   => '450',
				'id'         => 'cr_Funfact_3',
			),
			/** Repeater's fourth funfact */
			array(
				'icon_value' => 'fa fa-beer-mug-empty',
				'title'      => 'Cups of Coffee',
				'subtitle'   => '585',
				'id'         => 'cr_Funfact_3',
			),
		)
	)
);
/** SPONSORS_DEFAULT DEFAULTS FOR CUSTOMIZER REPEATER */
define(
	'SPONSORS_DEFAULT',
	wp_json_encode(
		array(
			/* Repeater's first sponsors */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/clients/client-1.png',
				'title'     => 'Qatar',
				'link'      => '#',
				'id'        => 'cr_sponsors_1',
			), // every sponsors in default string should have an unique id, it helps for translation.
		/* Repeater's second sponsors */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/clients/client-2.png',
				'title'     => 'Car Sport',
				'link'      => '#',
				'id'        => 'cr_sponsors_2',
			),
			/* Repeater's Third sponsors */
			array(
				'image_url' => AVANTEX_COMPANION_PLUGIN_URL . '/inc/avantex/img/clients/client-3.png',
				'title'     => 'Genshin',
				'link'      => '#',
				'id'        => 'cr_sponsors_3',
			),
		)
	)
);
